Skip to main content
POST
/
api
/
v1
/
analyze
/
batch
Batch content analysis
curl --request POST \
  --url https://api.kynva.ai/api/v1/analyze/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "content": {
        "headline": "<string>",
        "body": "<string>",
        "cta": "<string>",
        "caption": "<string>",
        "hashtags": [
          "<string>"
        ]
      }
    }
  ]
}
'
import requests

url = "https://api.kynva.ai/api/v1/analyze/batch"

payload = { "items": [{ "content": {
                "headline": "<string>",
                "body": "<string>",
                "cta": "<string>",
                "caption": "<string>",
                "hashtags": ["<string>"]
            } }] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    items: [
      {
        content: {
          headline: '<string>',
          body: JSON.stringify('<string>'),
          cta: '<string>',
          caption: '<string>',
          hashtags: ['<string>']
        }
      }
    ]
  })
};

fetch('https://api.kynva.ai/api/v1/analyze/batch', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
items
object[]
required
Maximum array length: 10
platform
enum<string>
Available options:
instagram,
facebook,
twitter,
linkedin,
tiktok,
youtube,
pinterest,
threads

Response

200

Default Response